IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network243.248.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
243.248.0.0- Broadcast address
243.255.255.255- First usable
243.248.0.1- Last usable
243.255.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F3F80000· Integer4093116416to4093640703 - Reverse DNS zones
248.243.in-addr.arpa249.243.in-addr.arpa250.243.in-addr.arpa251.243.in-addr.arpa252.243.in-addr.arpa253.243.in-addr.arpa254.243.in-addr.arpa255.243.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110011.11111000.00000000.00000000 | 243.248.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 11110011.11111000.00000000.00000000 | 243.248.0.0 |
| Broadcast | 11110011.11111111.11111111.11111111 | 243.255.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
243.248.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 243.248.0.0/23 | 243.248.0.1 to 243.248.1.254 | 243.248.1.255 | 510 |
| 2 | 243.248.2.0/23 | 243.248.2.1 to 243.248.3.254 | 243.248.3.255 | 510 |
| 3 | 243.248.4.0/23 | 243.248.4.1 to 243.248.5.254 | 243.248.5.255 | 510 |
| 4 | 243.248.6.0/23 | 243.248.6.1 to 243.248.7.254 | 243.248.7.255 | 510 |
| 5 | 243.248.8.0/23 | 243.248.8.1 to 243.248.9.254 | 243.248.9.255 | 510 |
| 6 | 243.248.10.0/23 | 243.248.10.1 to 243.248.11.254 | 243.248.11.255 | 510 |
| 7 | 243.248.12.0/23 | 243.248.12.1 to 243.248.13.254 | 243.248.13.255 | 510 |
| 8 | 243.248.14.0/23 | 243.248.14.1 to 243.248.15.254 | 243.248.15.255 | 510 |
| 9 | 243.248.16.0/23 | 243.248.16.1 to 243.248.17.254 | 243.248.17.255 | 510 |
| 10 | 243.248.18.0/23 | 243.248.18.1 to 243.248.19.254 | 243.248.19.255 | 510 |
| 11 | 243.248.20.0/23 | 243.248.20.1 to 243.248.21.254 | 243.248.21.255 | 510 |
| 12 | 243.248.22.0/23 | 243.248.22.1 to 243.248.23.254 | 243.248.23.255 | 510 |
| 13 | 243.248.24.0/23 | 243.248.24.1 to 243.248.25.254 | 243.248.25.255 | 510 |
| 14 | 243.248.26.0/23 | 243.248.26.1 to 243.248.27.254 | 243.248.27.255 | 510 |
| 15 | 243.248.28.0/23 | 243.248.28.1 to 243.248.29.254 | 243.248.29.255 | 510 |
| 16 | 243.248.30.0/23 | 243.248.30.1 to 243.248.31.254 | 243.248.31.255 | 510 |
| 17 | 243.248.32.0/23 | 243.248.32.1 to 243.248.33.254 | 243.248.33.255 | 510 |
| 18 | 243.248.34.0/23 | 243.248.34.1 to 243.248.35.254 | 243.248.35.255 | 510 |
| 19 | 243.248.36.0/23 | 243.248.36.1 to 243.248.37.254 | 243.248.37.255 | 510 |
| 20 | 243.248.38.0/23 | 243.248.38.1 to 243.248.39.254 | 243.248.39.255 | 510 |
| 21 | 243.248.40.0/23 | 243.248.40.1 to 243.248.41.254 | 243.248.41.255 | 510 |
| 22 | 243.248.42.0/23 | 243.248.42.1 to 243.248.43.254 | 243.248.43.255 | 510 |
| 23 | 243.248.44.0/23 | 243.248.44.1 to 243.248.45.254 | 243.248.45.255 | 510 |
| 24 | 243.248.46.0/23 | 243.248.46.1 to 243.248.47.254 | 243.248.47.255 | 510 |
| 25 | 243.248.48.0/23 | 243.248.48.1 to 243.248.49.254 | 243.248.49.255 | 510 |
| 26 | 243.248.50.0/23 | 243.248.50.1 to 243.248.51.254 | 243.248.51.255 | 510 |
| 27 | 243.248.52.0/23 | 243.248.52.1 to 243.248.53.254 | 243.248.53.255 | 510 |
| 28 | 243.248.54.0/23 | 243.248.54.1 to 243.248.55.254 | 243.248.55.255 | 510 |
| 29 | 243.248.56.0/23 | 243.248.56.1 to 243.248.57.254 | 243.248.57.255 | 510 |
| 30 | 243.248.58.0/23 | 243.248.58.1 to 243.248.59.254 | 243.248.59.255 | 510 |
| 31 | 243.248.60.0/23 | 243.248.60.1 to 243.248.61.254 | 243.248.61.255 | 510 |
| 32 | 243.248.62.0/23 | 243.248.62.1 to 243.248.63.254 | 243.248.63.255 | 510 |
| 33 | 243.248.64.0/23 | 243.248.64.1 to 243.248.65.254 | 243.248.65.255 | 510 |
| 34 | 243.248.66.0/23 | 243.248.66.1 to 243.248.67.254 | 243.248.67.255 | 510 |
| 35 | 243.248.68.0/23 | 243.248.68.1 to 243.248.69.254 | 243.248.69.255 | 510 |
| 36 | 243.248.70.0/23 | 243.248.70.1 to 243.248.71.254 | 243.248.71.255 | 510 |
| 37 | 243.248.72.0/23 | 243.248.72.1 to 243.248.73.254 | 243.248.73.255 | 510 |
| 38 | 243.248.74.0/23 | 243.248.74.1 to 243.248.75.254 | 243.248.75.255 | 510 |
| 39 | 243.248.76.0/23 | 243.248.76.1 to 243.248.77.254 | 243.248.77.255 | 510 |
| 40 | 243.248.78.0/23 | 243.248.78.1 to 243.248.79.254 | 243.248.79.255 | 510 |
| 41 | 243.248.80.0/23 | 243.248.80.1 to 243.248.81.254 | 243.248.81.255 | 510 |
| 42 | 243.248.82.0/23 | 243.248.82.1 to 243.248.83.254 | 243.248.83.255 | 510 |
| 43 | 243.248.84.0/23 | 243.248.84.1 to 243.248.85.254 | 243.248.85.255 | 510 |
| 44 | 243.248.86.0/23 | 243.248.86.1 to 243.248.87.254 | 243.248.87.255 | 510 |
| 45 | 243.248.88.0/23 | 243.248.88.1 to 243.248.89.254 | 243.248.89.255 | 510 |
| 46 | 243.248.90.0/23 | 243.248.90.1 to 243.248.91.254 | 243.248.91.255 | 510 |
| 47 | 243.248.92.0/23 | 243.248.92.1 to 243.248.93.254 | 243.248.93.255 | 510 |
| 48 | 243.248.94.0/23 | 243.248.94.1 to 243.248.95.254 | 243.248.95.255 | 510 |
| 49 | 243.248.96.0/23 | 243.248.96.1 to 243.248.97.254 | 243.248.97.255 | 510 |
| 50 | 243.248.98.0/23 | 243.248.98.1 to 243.248.99.254 | 243.248.99.255 | 510 |
| 51 | 243.248.100.0/23 | 243.248.100.1 to 243.248.101.254 | 243.248.101.255 | 510 |
| 52 | 243.248.102.0/23 | 243.248.102.1 to 243.248.103.254 | 243.248.103.255 | 510 |
| 53 | 243.248.104.0/23 | 243.248.104.1 to 243.248.105.254 | 243.248.105.255 | 510 |
| 54 | 243.248.106.0/23 | 243.248.106.1 to 243.248.107.254 | 243.248.107.255 | 510 |
| 55 | 243.248.108.0/23 | 243.248.108.1 to 243.248.109.254 | 243.248.109.255 | 510 |
| 56 | 243.248.110.0/23 | 243.248.110.1 to 243.248.111.254 | 243.248.111.255 | 510 |
| 57 | 243.248.112.0/23 | 243.248.112.1 to 243.248.113.254 | 243.248.113.255 | 510 |
| 58 | 243.248.114.0/23 | 243.248.114.1 to 243.248.115.254 | 243.248.115.255 | 510 |
| 59 | 243.248.116.0/23 | 243.248.116.1 to 243.248.117.254 | 243.248.117.255 | 510 |
| 60 | 243.248.118.0/23 | 243.248.118.1 to 243.248.119.254 | 243.248.119.255 | 510 |
| 61 | 243.248.120.0/23 | 243.248.120.1 to 243.248.121.254 | 243.248.121.255 | 510 |
| 62 | 243.248.122.0/23 | 243.248.122.1 to 243.248.123.254 | 243.248.123.255 | 510 |
| 63 | 243.248.124.0/23 | 243.248.124.1 to 243.248.125.254 | 243.248.125.255 | 510 |
| 64 | 243.248.126.0/23 | 243.248.126.1 to 243.248.127.254 | 243.248.127.255 | 510 |
| 65 | 243.248.128.0/23 | 243.248.128.1 to 243.248.129.254 | 243.248.129.255 | 510 |
| 66 | 243.248.130.0/23 | 243.248.130.1 to 243.248.131.254 | 243.248.131.255 | 510 |
| 67 | 243.248.132.0/23 | 243.248.132.1 to 243.248.133.254 | 243.248.133.255 | 510 |
| 68 | 243.248.134.0/23 | 243.248.134.1 to 243.248.135.254 | 243.248.135.255 | 510 |
| 69 | 243.248.136.0/23 | 243.248.136.1 to 243.248.137.254 | 243.248.137.255 | 510 |
| 70 | 243.248.138.0/23 | 243.248.138.1 to 243.248.139.254 | 243.248.139.255 | 510 |
| 71 | 243.248.140.0/23 | 243.248.140.1 to 243.248.141.254 | 243.248.141.255 | 510 |
| 72 | 243.248.142.0/23 | 243.248.142.1 to 243.248.143.254 | 243.248.143.255 | 510 |
| 73 | 243.248.144.0/23 | 243.248.144.1 to 243.248.145.254 | 243.248.145.255 | 510 |
| 74 | 243.248.146.0/23 | 243.248.146.1 to 243.248.147.254 | 243.248.147.255 | 510 |
| 75 | 243.248.148.0/23 | 243.248.148.1 to 243.248.149.254 | 243.248.149.255 | 510 |
| 76 | 243.248.150.0/23 | 243.248.150.1 to 243.248.151.254 | 243.248.151.255 | 510 |
| 77 | 243.248.152.0/23 | 243.248.152.1 to 243.248.153.254 | 243.248.153.255 | 510 |
| 78 | 243.248.154.0/23 | 243.248.154.1 to 243.248.155.254 | 243.248.155.255 | 510 |
| 79 | 243.248.156.0/23 | 243.248.156.1 to 243.248.157.254 | 243.248.157.255 | 510 |
| 80 | 243.248.158.0/23 | 243.248.158.1 to 243.248.159.254 | 243.248.159.255 | 510 |
| 81 | 243.248.160.0/23 | 243.248.160.1 to 243.248.161.254 | 243.248.161.255 | 510 |
| 82 | 243.248.162.0/23 | 243.248.162.1 to 243.248.163.254 | 243.248.163.255 | 510 |
| 83 | 243.248.164.0/23 | 243.248.164.1 to 243.248.165.254 | 243.248.165.255 | 510 |
| 84 | 243.248.166.0/23 | 243.248.166.1 to 243.248.167.254 | 243.248.167.255 | 510 |
| 85 | 243.248.168.0/23 | 243.248.168.1 to 243.248.169.254 | 243.248.169.255 | 510 |
| 86 | 243.248.170.0/23 | 243.248.170.1 to 243.248.171.254 | 243.248.171.255 | 510 |
| 87 | 243.248.172.0/23 | 243.248.172.1 to 243.248.173.254 | 243.248.173.255 | 510 |
| 88 | 243.248.174.0/23 | 243.248.174.1 to 243.248.175.254 | 243.248.175.255 | 510 |
| 89 | 243.248.176.0/23 | 243.248.176.1 to 243.248.177.254 | 243.248.177.255 | 510 |
| 90 | 243.248.178.0/23 | 243.248.178.1 to 243.248.179.254 | 243.248.179.255 | 510 |
| 91 | 243.248.180.0/23 | 243.248.180.1 to 243.248.181.254 | 243.248.181.255 | 510 |
| 92 | 243.248.182.0/23 | 243.248.182.1 to 243.248.183.254 | 243.248.183.255 | 510 |
| 93 | 243.248.184.0/23 | 243.248.184.1 to 243.248.185.254 | 243.248.185.255 | 510 |
| 94 | 243.248.186.0/23 | 243.248.186.1 to 243.248.187.254 | 243.248.187.255 | 510 |
| 95 | 243.248.188.0/23 | 243.248.188.1 to 243.248.189.254 | 243.248.189.255 | 510 |
| 96 | 243.248.190.0/23 | 243.248.190.1 to 243.248.191.254 | 243.248.191.255 | 510 |
| 97 | 243.248.192.0/23 | 243.248.192.1 to 243.248.193.254 | 243.248.193.255 | 510 |
| 98 | 243.248.194.0/23 | 243.248.194.1 to 243.248.195.254 | 243.248.195.255 | 510 |
| 99 | 243.248.196.0/23 | 243.248.196.1 to 243.248.197.254 | 243.248.197.255 | 510 |
| 100 | 243.248.198.0/23 | 243.248.198.1 to 243.248.199.254 | 243.248.199.255 | 510 |
| 101 | 243.248.200.0/23 | 243.248.200.1 to 243.248.201.254 | 243.248.201.255 | 510 |
| 102 | 243.248.202.0/23 | 243.248.202.1 to 243.248.203.254 | 243.248.203.255 | 510 |
| 103 | 243.248.204.0/23 | 243.248.204.1 to 243.248.205.254 | 243.248.205.255 | 510 |
| 104 | 243.248.206.0/23 | 243.248.206.1 to 243.248.207.254 | 243.248.207.255 | 510 |
| 105 | 243.248.208.0/23 | 243.248.208.1 to 243.248.209.254 | 243.248.209.255 | 510 |
| 106 | 243.248.210.0/23 | 243.248.210.1 to 243.248.211.254 | 243.248.211.255 | 510 |
| 107 | 243.248.212.0/23 | 243.248.212.1 to 243.248.213.254 | 243.248.213.255 | 510 |
| 108 | 243.248.214.0/23 | 243.248.214.1 to 243.248.215.254 | 243.248.215.255 | 510 |
| 109 | 243.248.216.0/23 | 243.248.216.1 to 243.248.217.254 | 243.248.217.255 | 510 |
| 110 | 243.248.218.0/23 | 243.248.218.1 to 243.248.219.254 | 243.248.219.255 | 510 |
| 111 | 243.248.220.0/23 | 243.248.220.1 to 243.248.221.254 | 243.248.221.255 | 510 |
| 112 | 243.248.222.0/23 | 243.248.222.1 to 243.248.223.254 | 243.248.223.255 | 510 |
| 113 | 243.248.224.0/23 | 243.248.224.1 to 243.248.225.254 | 243.248.225.255 | 510 |
| 114 | 243.248.226.0/23 | 243.248.226.1 to 243.248.227.254 | 243.248.227.255 | 510 |
| 115 | 243.248.228.0/23 | 243.248.228.1 to 243.248.229.254 | 243.248.229.255 | 510 |
| 116 | 243.248.230.0/23 | 243.248.230.1 to 243.248.231.254 | 243.248.231.255 | 510 |
| 117 | 243.248.232.0/23 | 243.248.232.1 to 243.248.233.254 | 243.248.233.255 | 510 |
| 118 | 243.248.234.0/23 | 243.248.234.1 to 243.248.235.254 | 243.248.235.255 | 510 |
| 119 | 243.248.236.0/23 | 243.248.236.1 to 243.248.237.254 | 243.248.237.255 | 510 |
| 120 | 243.248.238.0/23 | 243.248.238.1 to 243.248.239.254 | 243.248.239.255 | 510 |
| 121 | 243.248.240.0/23 | 243.248.240.1 to 243.248.241.254 | 243.248.241.255 | 510 |
| 122 | 243.248.242.0/23 | 243.248.242.1 to 243.248.243.254 | 243.248.243.255 | 510 |
| 123 | 243.248.244.0/23 | 243.248.244.1 to 243.248.245.254 | 243.248.245.255 | 510 |
| 124 | 243.248.246.0/23 | 243.248.246.1 to 243.248.247.254 | 243.248.247.255 | 510 |
| 125 | 243.248.248.0/23 | 243.248.248.1 to 243.248.249.254 | 243.248.249.255 | 510 |
| 126 | 243.248.250.0/23 | 243.248.250.1 to 243.248.251.254 | 243.248.251.255 | 510 |
| 127 | 243.248.252.0/23 | 243.248.252.1 to 243.248.253.254 | 243.248.253.255 | 510 |
| 128 | 243.248.254.0/23 | 243.248.254.1 to 243.248.255.254 | 243.248.255.255 | 510 |
| 129 | 243.249.0.0/23 | 243.249.0.1 to 243.249.1.254 | 243.249.1.255 | 510 |
| 130 | 243.249.2.0/23 | 243.249.2.1 to 243.249.3.254 | 243.249.3.255 | 510 |
| 131 | 243.249.4.0/23 | 243.249.4.1 to 243.249.5.254 | 243.249.5.255 | 510 |
| 132 | 243.249.6.0/23 | 243.249.6.1 to 243.249.7.254 | 243.249.7.255 | 510 |
| 133 | 243.249.8.0/23 | 243.249.8.1 to 243.249.9.254 | 243.249.9.255 | 510 |
| 134 | 243.249.10.0/23 | 243.249.10.1 to 243.249.11.254 | 243.249.11.255 | 510 |
| 135 | 243.249.12.0/23 | 243.249.12.1 to 243.249.13.254 | 243.249.13.255 | 510 |
| 136 | 243.249.14.0/23 | 243.249.14.1 to 243.249.15.254 | 243.249.15.255 | 510 |
| 137 | 243.249.16.0/23 | 243.249.16.1 to 243.249.17.254 | 243.249.17.255 | 510 |
| 138 | 243.249.18.0/23 | 243.249.18.1 to 243.249.19.254 | 243.249.19.255 | 510 |
| 139 | 243.249.20.0/23 | 243.249.20.1 to 243.249.21.254 | 243.249.21.255 | 510 |
| 140 | 243.249.22.0/23 | 243.249.22.1 to 243.249.23.254 | 243.249.23.255 | 510 |
| 141 | 243.249.24.0/23 | 243.249.24.1 to 243.249.25.254 | 243.249.25.255 | 510 |
| 142 | 243.249.26.0/23 | 243.249.26.1 to 243.249.27.254 | 243.249.27.255 | 510 |
| 143 | 243.249.28.0/23 | 243.249.28.1 to 243.249.29.254 | 243.249.29.255 | 510 |
| 144 | 243.249.30.0/23 | 243.249.30.1 to 243.249.31.254 | 243.249.31.255 | 510 |
| 145 | 243.249.32.0/23 | 243.249.32.1 to 243.249.33.254 | 243.249.33.255 | 510 |
| 146 | 243.249.34.0/23 | 243.249.34.1 to 243.249.35.254 | 243.249.35.255 | 510 |
| 147 | 243.249.36.0/23 | 243.249.36.1 to 243.249.37.254 | 243.249.37.255 | 510 |
| 148 | 243.249.38.0/23 | 243.249.38.1 to 243.249.39.254 | 243.249.39.255 | 510 |
| 149 | 243.249.40.0/23 | 243.249.40.1 to 243.249.41.254 | 243.249.41.255 | 510 |
| 150 | 243.249.42.0/23 | 243.249.42.1 to 243.249.43.254 | 243.249.43.255 | 510 |
| 151 | 243.249.44.0/23 | 243.249.44.1 to 243.249.45.254 | 243.249.45.255 | 510 |
| 152 | 243.249.46.0/23 | 243.249.46.1 to 243.249.47.254 | 243.249.47.255 | 510 |
| 153 | 243.249.48.0/23 | 243.249.48.1 to 243.249.49.254 | 243.249.49.255 | 510 |
| 154 | 243.249.50.0/23 | 243.249.50.1 to 243.249.51.254 | 243.249.51.255 | 510 |
| 155 | 243.249.52.0/23 | 243.249.52.1 to 243.249.53.254 | 243.249.53.255 | 510 |
| 156 | 243.249.54.0/23 | 243.249.54.1 to 243.249.55.254 | 243.249.55.255 | 510 |
| 157 | 243.249.56.0/23 | 243.249.56.1 to 243.249.57.254 | 243.249.57.255 | 510 |
| 158 | 243.249.58.0/23 | 243.249.58.1 to 243.249.59.254 | 243.249.59.255 | 510 |
| 159 | 243.249.60.0/23 | 243.249.60.1 to 243.249.61.254 | 243.249.61.255 | 510 |
| 160 | 243.249.62.0/23 | 243.249.62.1 to 243.249.63.254 | 243.249.63.255 | 510 |
| 161 | 243.249.64.0/23 | 243.249.64.1 to 243.249.65.254 | 243.249.65.255 | 510 |
| 162 | 243.249.66.0/23 | 243.249.66.1 to 243.249.67.254 | 243.249.67.255 | 510 |
| 163 | 243.249.68.0/23 | 243.249.68.1 to 243.249.69.254 | 243.249.69.255 | 510 |
| 164 | 243.249.70.0/23 | 243.249.70.1 to 243.249.71.254 | 243.249.71.255 | 510 |
| 165 | 243.249.72.0/23 | 243.249.72.1 to 243.249.73.254 | 243.249.73.255 | 510 |
| 166 | 243.249.74.0/23 | 243.249.74.1 to 243.249.75.254 | 243.249.75.255 | 510 |
| 167 | 243.249.76.0/23 | 243.249.76.1 to 243.249.77.254 | 243.249.77.255 | 510 |
| 168 | 243.249.78.0/23 | 243.249.78.1 to 243.249.79.254 | 243.249.79.255 | 510 |
| 169 | 243.249.80.0/23 | 243.249.80.1 to 243.249.81.254 | 243.249.81.255 | 510 |
| 170 | 243.249.82.0/23 | 243.249.82.1 to 243.249.83.254 | 243.249.83.255 | 510 |
| 171 | 243.249.84.0/23 | 243.249.84.1 to 243.249.85.254 | 243.249.85.255 | 510 |
| 172 | 243.249.86.0/23 | 243.249.86.1 to 243.249.87.254 | 243.249.87.255 | 510 |
| 173 | 243.249.88.0/23 | 243.249.88.1 to 243.249.89.254 | 243.249.89.255 | 510 |
| 174 | 243.249.90.0/23 | 243.249.90.1 to 243.249.91.254 | 243.249.91.255 | 510 |
| 175 | 243.249.92.0/23 | 243.249.92.1 to 243.249.93.254 | 243.249.93.255 | 510 |
| 176 | 243.249.94.0/23 | 243.249.94.1 to 243.249.95.254 | 243.249.95.255 | 510 |
| 177 | 243.249.96.0/23 | 243.249.96.1 to 243.249.97.254 | 243.249.97.255 | 510 |
| 178 | 243.249.98.0/23 | 243.249.98.1 to 243.249.99.254 | 243.249.99.255 | 510 |
| 179 | 243.249.100.0/23 | 243.249.100.1 to 243.249.101.254 | 243.249.101.255 | 510 |
| 180 | 243.249.102.0/23 | 243.249.102.1 to 243.249.103.254 | 243.249.103.255 | 510 |
| 181 | 243.249.104.0/23 | 243.249.104.1 to 243.249.105.254 | 243.249.105.255 | 510 |
| 182 | 243.249.106.0/23 | 243.249.106.1 to 243.249.107.254 | 243.249.107.255 | 510 |
| 183 | 243.249.108.0/23 | 243.249.108.1 to 243.249.109.254 | 243.249.109.255 | 510 |
| 184 | 243.249.110.0/23 | 243.249.110.1 to 243.249.111.254 | 243.249.111.255 | 510 |
| 185 | 243.249.112.0/23 | 243.249.112.1 to 243.249.113.254 | 243.249.113.255 | 510 |
| 186 | 243.249.114.0/23 | 243.249.114.1 to 243.249.115.254 | 243.249.115.255 | 510 |
| 187 | 243.249.116.0/23 | 243.249.116.1 to 243.249.117.254 | 243.249.117.255 | 510 |
| 188 | 243.249.118.0/23 | 243.249.118.1 to 243.249.119.254 | 243.249.119.255 | 510 |
| 189 | 243.249.120.0/23 | 243.249.120.1 to 243.249.121.254 | 243.249.121.255 | 510 |
| 190 | 243.249.122.0/23 | 243.249.122.1 to 243.249.123.254 | 243.249.123.255 | 510 |
| 191 | 243.249.124.0/23 | 243.249.124.1 to 243.249.125.254 | 243.249.125.255 | 510 |
| 192 | 243.249.126.0/23 | 243.249.126.1 to 243.249.127.254 | 243.249.127.255 | 510 |
| 193 | 243.249.128.0/23 | 243.249.128.1 to 243.249.129.254 | 243.249.129.255 | 510 |
| 194 | 243.249.130.0/23 | 243.249.130.1 to 243.249.131.254 | 243.249.131.255 | 510 |
| 195 | 243.249.132.0/23 | 243.249.132.1 to 243.249.133.254 | 243.249.133.255 | 510 |
| 196 | 243.249.134.0/23 | 243.249.134.1 to 243.249.135.254 | 243.249.135.255 | 510 |
| 197 | 243.249.136.0/23 | 243.249.136.1 to 243.249.137.254 | 243.249.137.255 | 510 |
| 198 | 243.249.138.0/23 | 243.249.138.1 to 243.249.139.254 | 243.249.139.255 | 510 |
| 199 | 243.249.140.0/23 | 243.249.140.1 to 243.249.141.254 | 243.249.141.255 | 510 |
| 200 | 243.249.142.0/23 | 243.249.142.1 to 243.249.143.254 | 243.249.143.255 | 510 |
| 201 | 243.249.144.0/23 | 243.249.144.1 to 243.249.145.254 | 243.249.145.255 | 510 |
| 202 | 243.249.146.0/23 | 243.249.146.1 to 243.249.147.254 | 243.249.147.255 | 510 |
| 203 | 243.249.148.0/23 | 243.249.148.1 to 243.249.149.254 | 243.249.149.255 | 510 |
| 204 | 243.249.150.0/23 | 243.249.150.1 to 243.249.151.254 | 243.249.151.255 | 510 |
| 205 | 243.249.152.0/23 | 243.249.152.1 to 243.249.153.254 | 243.249.153.255 | 510 |
| 206 | 243.249.154.0/23 | 243.249.154.1 to 243.249.155.254 | 243.249.155.255 | 510 |
| 207 | 243.249.156.0/23 | 243.249.156.1 to 243.249.157.254 | 243.249.157.255 | 510 |
| 208 | 243.249.158.0/23 | 243.249.158.1 to 243.249.159.254 | 243.249.159.255 | 510 |
| 209 | 243.249.160.0/23 | 243.249.160.1 to 243.249.161.254 | 243.249.161.255 | 510 |
| 210 | 243.249.162.0/23 | 243.249.162.1 to 243.249.163.254 | 243.249.163.255 | 510 |
| 211 | 243.249.164.0/23 | 243.249.164.1 to 243.249.165.254 | 243.249.165.255 | 510 |
| 212 | 243.249.166.0/23 | 243.249.166.1 to 243.249.167.254 | 243.249.167.255 | 510 |
| 213 | 243.249.168.0/23 | 243.249.168.1 to 243.249.169.254 | 243.249.169.255 | 510 |
| 214 | 243.249.170.0/23 | 243.249.170.1 to 243.249.171.254 | 243.249.171.255 | 510 |
| 215 | 243.249.172.0/23 | 243.249.172.1 to 243.249.173.254 | 243.249.173.255 | 510 |
| 216 | 243.249.174.0/23 | 243.249.174.1 to 243.249.175.254 | 243.249.175.255 | 510 |
| 217 | 243.249.176.0/23 | 243.249.176.1 to 243.249.177.254 | 243.249.177.255 | 510 |
| 218 | 243.249.178.0/23 | 243.249.178.1 to 243.249.179.254 | 243.249.179.255 | 510 |
| 219 | 243.249.180.0/23 | 243.249.180.1 to 243.249.181.254 | 243.249.181.255 | 510 |
| 220 | 243.249.182.0/23 | 243.249.182.1 to 243.249.183.254 | 243.249.183.255 | 510 |
| 221 | 243.249.184.0/23 | 243.249.184.1 to 243.249.185.254 | 243.249.185.255 | 510 |
| 222 | 243.249.186.0/23 | 243.249.186.1 to 243.249.187.254 | 243.249.187.255 | 510 |
| 223 | 243.249.188.0/23 | 243.249.188.1 to 243.249.189.254 | 243.249.189.255 | 510 |
| 224 | 243.249.190.0/23 | 243.249.190.1 to 243.249.191.254 | 243.249.191.255 | 510 |
| 225 | 243.249.192.0/23 | 243.249.192.1 to 243.249.193.254 | 243.249.193.255 | 510 |
| 226 | 243.249.194.0/23 | 243.249.194.1 to 243.249.195.254 | 243.249.195.255 | 510 |
| 227 | 243.249.196.0/23 | 243.249.196.1 to 243.249.197.254 | 243.249.197.255 | 510 |
| 228 | 243.249.198.0/23 | 243.249.198.1 to 243.249.199.254 | 243.249.199.255 | 510 |
| 229 | 243.249.200.0/23 | 243.249.200.1 to 243.249.201.254 | 243.249.201.255 | 510 |
| 230 | 243.249.202.0/23 | 243.249.202.1 to 243.249.203.254 | 243.249.203.255 | 510 |
| 231 | 243.249.204.0/23 | 243.249.204.1 to 243.249.205.254 | 243.249.205.255 | 510 |
| 232 | 243.249.206.0/23 | 243.249.206.1 to 243.249.207.254 | 243.249.207.255 | 510 |
| 233 | 243.249.208.0/23 | 243.249.208.1 to 243.249.209.254 | 243.249.209.255 | 510 |
| 234 | 243.249.210.0/23 | 243.249.210.1 to 243.249.211.254 | 243.249.211.255 | 510 |
| 235 | 243.249.212.0/23 | 243.249.212.1 to 243.249.213.254 | 243.249.213.255 | 510 |
| 236 | 243.249.214.0/23 | 243.249.214.1 to 243.249.215.254 | 243.249.215.255 | 510 |
| 237 | 243.249.216.0/23 | 243.249.216.1 to 243.249.217.254 | 243.249.217.255 | 510 |
| 238 | 243.249.218.0/23 | 243.249.218.1 to 243.249.219.254 | 243.249.219.255 | 510 |
| 239 | 243.249.220.0/23 | 243.249.220.1 to 243.249.221.254 | 243.249.221.255 | 510 |
| 240 | 243.249.222.0/23 | 243.249.222.1 to 243.249.223.254 | 243.249.223.255 | 510 |
| 241 | 243.249.224.0/23 | 243.249.224.1 to 243.249.225.254 | 243.249.225.255 | 510 |
| 242 | 243.249.226.0/23 | 243.249.226.1 to 243.249.227.254 | 243.249.227.255 | 510 |
| 243 | 243.249.228.0/23 | 243.249.228.1 to 243.249.229.254 | 243.249.229.255 | 510 |
| 244 | 243.249.230.0/23 | 243.249.230.1 to 243.249.231.254 | 243.249.231.255 | 510 |
| 245 | 243.249.232.0/23 | 243.249.232.1 to 243.249.233.254 | 243.249.233.255 | 510 |
| 246 | 243.249.234.0/23 | 243.249.234.1 to 243.249.235.254 | 243.249.235.255 | 510 |
| 247 | 243.249.236.0/23 | 243.249.236.1 to 243.249.237.254 | 243.249.237.255 | 510 |
| 248 | 243.249.238.0/23 | 243.249.238.1 to 243.249.239.254 | 243.249.239.255 | 510 |
| 249 | 243.249.240.0/23 | 243.249.240.1 to 243.249.241.254 | 243.249.241.255 | 510 |
| 250 | 243.249.242.0/23 | 243.249.242.1 to 243.249.243.254 | 243.249.243.255 | 510 |
| 251 | 243.249.244.0/23 | 243.249.244.1 to 243.249.245.254 | 243.249.245.255 | 510 |
| 252 | 243.249.246.0/23 | 243.249.246.1 to 243.249.247.254 | 243.249.247.255 | 510 |
| 253 | 243.249.248.0/23 | 243.249.248.1 to 243.249.249.254 | 243.249.249.255 | 510 |
| 254 | 243.249.250.0/23 | 243.249.250.1 to 243.249.251.254 | 243.249.251.255 | 510 |
| 255 | 243.249.252.0/23 | 243.249.252.1 to 243.249.253.254 | 243.249.253.255 | 510 |
| 256 | 243.249.254.0/23 | 243.249.254.1 to 243.249.255.254 | 243.249.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |